﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace Tip30
{
    public class GlobalApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "BlogArchive",                                   
                "Archive/{entryDate}",                           
                new { controller = "Blog", action = "Archive" },  
                new { entryDate = @"\d{2}-\d{2}-\d{4}" }
            );


            routes.MapRoute(
                "Product",                                       
                "Product/Insert",                     
                new { controller = "Product", action = "Insert"}, 
                new { httpMethod = new HttpMethodConstraint("POST") }
            );


            routes.MapRoute(
                "Admin",
                "Admin/{action}",
                new { controller = "Admin", action = "Index" },
                new 
                { 
                    local = new LocalConstraint(), 
                    authenticated= new AuthenticatedConstraint() 
                }
            );

            routes.MapRoute(
                "Default",                                              
                "{controller}/{action}/{id}",                           
                new { controller = "Home", action = "Index", id = "" }, 
                new { controller = new NotEqual("Admin") }
            );

        }

        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
        }
    }
}